rpm 4.20.1 The RPM Package Manager

Loading...
Searching...
No Matches
Data Fields
rpmBuildArguments_s Struct Reference
Building & signing packages: » Build API.

`#include <rpmbuild.h>`

## Data Fields
rpmBuildPkgFlags | pkgFlags
rpmBuildFlags | buildAmount
char * | buildRootOverride
char * | cookie
const char * | rootdir

## Detailed Description

Describe build request.

## Field Documentation

## ◆ buildAmount

rpmBuildFlags rpmBuildArguments_s::buildAmount

Bit(s) to control build execution.

## ◆ buildRootOverride

char* rpmBuildArguments_s::buildRootOverride

from –buildroot

## ◆ cookie

char* rpmBuildArguments_s::cookie

NULL for binary, ??? for source, rpm's

## ◆ pkgFlags

rpmBuildPkgFlags rpmBuildArguments_s::pkgFlags

Bit(s) to control package generation.

The documentation for this struct was generated from the following file:

- /srv/include/rpm/rpmbuild.h